<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CharacterRun (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CharacterRun (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CharacterRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/wp/usermodel/HeaderFooterType.html"
               title="enum in org.apache.poi.wp.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/wp/usermodel/CharacterRun.html" target="_top">Frames</a>
        </li>
        <li><a href="CharacterRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.wp.usermodel</div>
    <h2 title="Interface CharacterRun" class="title">Interface CharacterRun</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                           title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFFieldRun</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlinkRun.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFHyperlinkRun</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">CharacterRun</span></pre>
                <div class="block">This class represents a run of text that share common properties.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#getCharacterSpacing--">getCharacterSpacing</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#getFontName--">getFontName</a></span>()</code>
                                    <div class="block">Gets the fonts which shall be used to display the text contents
                                        of
                                        this run.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#getFontSize--">getFontSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#getKerning--">getKerning</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isBold--">isBold</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isCapitalized--">isCapitalized</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isDoubleStrikeThrough--">isDoubleStrikeThrough</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isEmbossed--">isEmbossed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isHighlighted--">isHighlighted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isImprinted--">isImprinted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isItalic--">isItalic</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isShadowed--">isShadowed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isSmallCaps--">isSmallCaps</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#isStrikeThrough--">isStrikeThrough</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setBold-boolean-">setBold</a></span>(boolean&nbsp;bold)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setCapitalized-boolean-">setCapitalized</a></span>(boolean&nbsp;caps)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setCharacterSpacing-int-">setCharacterSpacing</a></span>(int&nbsp;twips)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setDoubleStrikethrough-boolean-">setDoubleStrikethrough</a></span>(boolean&nbsp;dstrike)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setEmbossed-boolean-">setEmbossed</a></span>(boolean&nbsp;emboss)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setFontSize-int-">setFontSize</a></span>(int&nbsp;halfPoints)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setImprinted-boolean-">setImprinted</a></span>(boolean&nbsp;imprint)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setItalic-boolean-">setItalic</a></span>(boolean&nbsp;italic)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setKerning-int-">setKerning</a></span>(int&nbsp;kern)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setShadow-boolean-">setShadow</a></span>(boolean&nbsp;shadow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setSmallCaps-boolean-">setSmallCaps</a></span>(boolean&nbsp;smallCaps)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#setStrikeThrough-boolean-">setStrikeThrough</a></span>(boolean&nbsp;strike)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html#text--">text</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isBold--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBold</h4>
                                <pre>boolean&nbsp;isBold()</pre>
                            </li>
                        </ul>
                        <a name="setBold-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBold</h4>
                                <pre>void&nbsp;setBold(boolean&nbsp;bold)</pre>
                            </li>
                        </ul>
                        <a name="isItalic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isItalic</h4>
                                <pre>boolean&nbsp;isItalic()</pre>
                            </li>
                        </ul>
                        <a name="setItalic-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setItalic</h4>
                                <pre>void&nbsp;setItalic(boolean&nbsp;italic)</pre>
                            </li>
                        </ul>
                        <a name="isSmallCaps--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSmallCaps</h4>
                                <pre>boolean&nbsp;isSmallCaps()</pre>
                            </li>
                        </ul>
                        <a name="setSmallCaps-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSmallCaps</h4>
                                <pre>void&nbsp;setSmallCaps(boolean&nbsp;smallCaps)</pre>
                            </li>
                        </ul>
                        <a name="isCapitalized--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCapitalized</h4>
                                <pre>boolean&nbsp;isCapitalized()</pre>
                            </li>
                        </ul>
                        <a name="setCapitalized-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCapitalized</h4>
                                <pre>void&nbsp;setCapitalized(boolean&nbsp;caps)</pre>
                            </li>
                        </ul>
                        <a name="isStrikeThrough--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStrikeThrough</h4>
                                <pre>boolean&nbsp;isStrikeThrough()</pre>
                            </li>
                        </ul>
                        <a name="setStrikeThrough-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStrikeThrough</h4>
                                <pre>void&nbsp;setStrikeThrough(boolean&nbsp;strike)</pre>
                            </li>
                        </ul>
                        <a name="isDoubleStrikeThrough--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDoubleStrikeThrough</h4>
                                <pre>boolean&nbsp;isDoubleStrikeThrough()</pre>
                            </li>
                        </ul>
                        <a name="setDoubleStrikethrough-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDoubleStrikethrough</h4>
                                <pre>void&nbsp;setDoubleStrikethrough(boolean&nbsp;dstrike)</pre>
                            </li>
                        </ul>
                        <a name="isShadowed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isShadowed</h4>
                                <pre>boolean&nbsp;isShadowed()</pre>
                            </li>
                        </ul>
                        <a name="setShadow-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShadow</h4>
                                <pre>void&nbsp;setShadow(boolean&nbsp;shadow)</pre>
                            </li>
                        </ul>
                        <a name="isEmbossed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmbossed</h4>
                                <pre>boolean&nbsp;isEmbossed()</pre>
                            </li>
                        </ul>
                        <a name="setEmbossed-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEmbossed</h4>
                                <pre>void&nbsp;setEmbossed(boolean&nbsp;emboss)</pre>
                            </li>
                        </ul>
                        <a name="isImprinted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isImprinted</h4>
                                <pre>boolean&nbsp;isImprinted()</pre>
                            </li>
                        </ul>
                        <a name="setImprinted-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setImprinted</h4>
                                <pre>void&nbsp;setImprinted(boolean&nbsp;imprint)</pre>
                            </li>
                        </ul>
                        <a name="getFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontSize</h4>
                                <pre>int&nbsp;getFontSize()</pre>
                            </li>
                        </ul>
                        <a name="setFontSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontSize</h4>
                                <pre>void&nbsp;setFontSize(int&nbsp;halfPoints)</pre>
                            </li>
                        </ul>
                        <a name="getCharacterSpacing--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharacterSpacing</h4>
                                <pre>int&nbsp;getCharacterSpacing()</pre>
                            </li>
                        </ul>
                        <a name="setCharacterSpacing-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharacterSpacing</h4>
                                <pre>void&nbsp;setCharacterSpacing(int&nbsp;twips)</pre>
                            </li>
                        </ul>
                        <a name="getKerning--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKerning</h4>
                                <pre>int&nbsp;getKerning()</pre>
                            </li>
                        </ul>
                        <a name="setKerning-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKerning</h4>
                                <pre>void&nbsp;setKerning(int&nbsp;kern)</pre>
                            </li>
                        </ul>
                        <a name="isHighlighted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHighlighted</h4>
                                <pre>boolean&nbsp;isHighlighted()</pre>
                            </li>
                        </ul>
                        <a name="getFontName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontName</h4>
                                <pre>java.lang.String&nbsp;getFontName()</pre>
                                <div class="block">Gets the fonts which shall be used to display the text contents of
                                    this run. Specifies a font which shall be used to format all "normal"
                                    characters in the run
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a string representing the font</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="text--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>text</h4>
                                <pre>java.lang.String&nbsp;text()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The text of the run, including any tabs/spaces/etc</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CharacterRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/wp/usermodel/HeaderFooterType.html"
               title="enum in org.apache.poi.wp.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/wp/usermodel/CharacterRun.html" target="_top">Frames</a>
        </li>
        <li><a href="CharacterRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
